## org.exist.xquery.functions.text
Class FuzzyMatcher

    java.lang.Object
      org.exist.xquery.functions.text.FuzzyMatcher

All Implemented Interfaces:
  TermMatcher

public class FuzzyMatcher
extends java.lang.Object
implements TermMatcher

A fuzzy implementation of `TermMatcher`. It calculates the Levenshtein distance between the index and the search term.

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`FuzzyMatcher(java.lang.String searchTerm, double threshold)`

Method Summary
`boolean` `matches(java.lang.CharSequence text)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyMatcher

    public FuzzyMatcher(java.lang.String searchTerm,
                        double threshold)

Method Detail

### matches

    public boolean matches(java.lang.CharSequence text)

  Specified by:
    `matches` in interface `TermMatcher`

Copyright (C) Wolfgang Meier. All rights reserved.